{"title":"Get salesShipmentLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesshipmentline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesshipmentline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesshipmentline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a salesShipmentLine object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":94,"chars":339},{"level":2,"title":"Request headers","slug":"request-headers","at":433,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":505,"chars":61},{"level":2,"title":"Response","slug":"response","at":566,"chars":131},{"level":2,"title":"Example","slug":"example","at":697,"chars":659},{"level":2,"title":"Related information","slug":"related-information","at":1356,"chars":138}],"text":"Retrieve the properties and relationships of a salesShipmentLine object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesShipments({id})/salesShipmentLines({salesShipmentLineId})\nGET businesscentralPrefix/companies({id})/salesShipmentLines({salesShipmentLineId})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an salesShipmentLines object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesShipments({id})/salesShipmentLines({salesShipmentLineId})\n```\nResponse\nHere's an example of the response.\n```json\n{\n   \"id\": \"238cb9c0-44e3-ea11-bb43-000d3a2feca1\",\n   \"documentId\": \"9e0f5c9c-44e3-ea11-bb43-000d3a2feca1\",\n   \"documentNo\": \"829482\",\n   \"sequence\": 10000,\n   \"lineType\": \"NAV.salesLineType\",\n   \"lineObjectNumber\": \"1928-S\",\n   \"description\": \"AMSTERDAM Lamp\",\n   \"unitOfMeasureCode\": \"PCS\",\n   \"unitPrice\":  54.9,\n   \"quantity\": 3,\n   \"discountPercent\": 0,\n   \"taxPercent\": 20,\n   \"shipmentDate\": \"2020-08-21\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_salesshipmentline"}